# $Revision: 1.131.2.32 $, $Date: 2006/04/26 10:29:47 $
# TODO:
#   Make freshclam (script and daemon)
#
# Conditional build:
%bcond_with	milter	# build milter subpackage
%bcond_with	curl	# enable curl support
#
Summary:	An anti-virus utility for Unix
Summary(pl):	Antywirusowe narzdzie dla Uniksw
Name:		clamav
Version:	0.88.1
Release:	1.1
Epoch:		0
License:	GPL
Group:		Applications
Source0:	http://dl.sourceforge.net/clamav/%{name}-%{version}.tar.gz
# Source0-md5:	9fe8c47037051e350077513dd94fb76a
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}-milter.init
Source4:	%{name}-cron-updatedb
Source5:	%{name}.logrotate
# Remember to update date after databases upgrade
%define		database_version	20060416
Source6:	http://db.local.clamav.net/daily.cvd
# Source6-md5:	3604d739468c1ded119ea42f319cfd54
Source7:	http://db.local.clamav.net/main.cvd
# Source7-md5:	ca72b8654317e541a6c1fe67f21c607c
Source8:	%{name}-post-updatedb
Source9:	%{name}-milter.sysconfig
Patch0:		%{name}-pld_config.patch
Patch1:		%{name}-no_auto_libwrap.patch
Patch2:		%{name}-nolibs.patch
URL:		http://www.clamav.net/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_curl:BuildRequires:	curl-devel}
BuildRequires:	gmp-devel
%{?with_milter:BuildRequires:	libwrap-devel}
BuildRequires:	libtool
#BuildRequires:	rpmbuild(macros) >= 1.159
%{?with_milter:BuildRequires:	sendmail-devel >= 8.11}
BuildRequires:	zlib-devel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(postun):	sed >= 4.0
Requires(postun,pre):	/usr/sbin/usermod
Requires(post,preun):	/sbin/chkconfig
Requires:	/usr/sbin/usermod
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	bc
Provides:	group(clamav)
Provides:	user(clamav)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Clam Antivirus is a powerful anti-virus scanner for Unix. It supports
AMaViS, compressed files, on-access scanning and includes a program
for auto-updating with support for digital signatures. The virus
database has over 25000 viruses, worms and trojans signatures. The
scanner is multithreaded, written in C, and POSIX compliant.

%description -l pl
Clam Antivirus jest potnym skanerem antywirusowym dla systemw
uniksowych. Wspiera on AMaViSa, skompresowane pliki, skanowanie
"on-access" i posiada system bezpiecznej, automatycznej aktualizacji.
Baza wirusw zawiera ponad 25000 sygnatur. Skaner jest wielowtkowy,
napisany w C i zgodny z POSIXem.

%package libs
Summary:	Shared libraries for clamav
Summary(pl):	Biblioteki dzielone clamav
Group:		Libraries

%description libs
Shared libraries for clamav.

%description libs -l pl
Biblioteki dzielone clamav.

%package milter
Summary:	ClamAV filter using milter interface
Summary(pl):	Filtr ClamAV korzystajcy z interfejsu milter
Group:		Daemons
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	sendmail >= 8.11
Requires:	tcp_wrappers

%description milter
ClamAV sendmail filter using MILTER interface.

%description -l pl milter
Filtr ClamAV dla sendmaila korzystajcy z interfejsu MILTER.

%package devel
Summary:	clamav - Development header files and libraries
Summary(pl):	clamav - Pliki nagwkowe i biblioteki dla programistw
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	bzip2-devel
Requires:	gmp-devel
Requires:	zlib-devel

%description devel
This package contains the development header files and libraries
necessary to develop clamav client applications.

%description devel -l pl
Pliki nagwkowe i biblioteki konieczne do kompilacji aplikacji
klienckich clamav.

%package static
Summary:	clamav static libraris
Summary(pl):	Biblioteki statyczne clamav
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
clamav static libraries.

%description static -l pl
Biblioteki statyczne clamav.

%package database
Summary:	Virus database for clamav
Summary(pl):	Bazy wirusw dla clamav
Group:		Applications
Version:	%{version}.%{database_version}
PreReq:		%{name}

%description database
Virus database for clamav (updated %{database_version}).

%description database -l pl
Bazy wirusw dla clamav (aktualizowana %{database_version}).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# kill old libtool.m4 copy
head -n 489 acinclude.m4 > acinclude.m4.tmp
tail -n +4089 acinclude.m4 >> acinclude.m4.tmp
mv -f acinclude.m4.tmp acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-clamav \
	%{!?with_curl:--without-libcurl} \
	%{?with_milter:--enable-milter} \
	--with-dbdir=/var/lib/%{name}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{rc.d/init.d,sysconfig,logrotate.d} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/cron.d,%{_var}/{log,spool/clamav}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{!?with_milter:rm -f $RPM_BUILD_ROOT%{_mandir}/man8/clamav-milter.8*}

cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/cron.d/%{name}
5 * * * *	root	%{_sbindir}/clamav-cron-updatedb
EOF

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/clamd
%if %{with milter}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/clamav-milter
install %{SOURCE9} $RPM_BUILD_ROOT/etc/sysconfig/clamav-milter
%endif
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/clamd
install %{SOURCE4} $RPM_BUILD_ROOT%{_sbindir}/clamav-cron-updatedb
install etc/*.conf $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install %{SOURCE6} $RPM_BUILD_ROOT/var/lib/%{name}
install %{SOURCE7} $RPM_BUILD_ROOT/var/lib/%{name}
install %{SOURCE8} $RPM_BUILD_ROOT%{_sbindir}

# NOTE: clamd uses sane rights to it's clamd.pid file
# So better keep it dir
# If it is fixed use of dir will be unecesary
install -d $RPM_BUILD_ROOT%{_var}/run/%{name}

touch $RPM_BUILD_ROOT%{_var}/log/freshclam.log

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- amavis-ng
AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	/usr/sbin/usermod -G amavis clamav 1>&2 > /dev/null
	echo "adding clamav to amavis group GID=$AMAVIS"
fi

%triggerin -- amavisd-new
AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	/usr/sbin/usermod -G amavis clamav 1>&2 > /dev/null
	echo "adding clamav to amavis group GID=$AMAVIS"
fi

%triggerin -- amavisd
AMAVIS=$(/usr/bin/getgid amavis)
RESULT=$?
if [ $RESULT -eq 0 ]; then
	echo "adding clamav to amavis group GID=$AMAVIS"
	/usr/sbin/usermod -G amavis clamav 1>&2
fi

%pre
if [ -n "`/usr/bin/getgid clamav`" ]; then
	if [ "`/usr/bin/getgid clamav`" != 43 ]; then
		echo "Error: group clamav doesn't have gid=43. Correct this before installing clamav" 1>&2
		exit 1
	fi
else
	echo "Adding group clamav GID=43"
	/usr/sbin/groupadd -g 43 clamav
fi
if [ -n "`/bin/id -u clamav 2>/dev/null`" ]; then
	if [ "`/bin/id -u clamav`" != 43 ]; then
		echo "Error: user clamav doesn't have uid=43. Correct this before installing clamav" 1>&2
		exit 1
	fi
else
	echo "Adding user clamav UID=43"
	/usr/sbin/useradd -u 43 -d /tmp -s /bin/false \
		-c "Clam Anti Virus Checker" -g clamav clamav 1>&2
	if [ -n "`/usr/bin/getgid amavis`" ]; then
		echo "adding clamav to amavis group"
		/usr/sbin/usermod -G amavis clamav 1>&2
	fi
fi

%post
/sbin/chkconfig --add clamd
if [ -f /var/lock/subsys/clamd ]; then
	/etc/rc.d/init.d/clamd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/clamd start\" to start Clam Antivirus daemon." >&2
fi
touch %{_var}/log/freshclam.log
chown clamav:root %{_var}/log/freshclam.log
chmod 640 %{_var}/log/freshclam.log

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/clamd ]; then
		/etc/rc.d/init.d/clamd stop
	fi
	/sbin/chkconfig --del clamd
fi

%postun
if [ "$1" = "0" ]; then
	echo "Removing user clamav"
	/usr/sbin/userdel clamav
	echo "Removing group clamav"
	/usr/sbin/groupdel clamav
fi

%triggerpostun -- %{name} <= 0.75.1
if [ -f /etc/clamav.conf.rpmsave ]; then
	echo "Renaming config to new name /etc/clamd.conf"
	mv -f /etc/clamd.conf /etc/clamd.conf.rpmnew
	mv -f /etc/clamav.conf.rpmsave /etc/clamd.conf
	echo "Changing config location in freshclam config"
	sed -i -e 's/clamav.conf/clamd.conf/' /etc/freshclam.conf
fi

%if %{with milter}
%post milter
/sbin/chkconfig --add clamav-milter
if [ -f /var/lock/subsys/clamav-milter ]; then
	/etc/rc.d/init.d/clamd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/clamav-milter start\" to start Clam Antivirus daemon." >&2
fi

%preun milter
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/clamav-milter ]; then
		/etc/rc.d/init.d/clamav-milter stop
	fi
	/sbin/chkconfig --del clamav-milter
fi
%endif
%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	database -p %{_sbindir}/%{name}-post-updatedb

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README TODO docs/*.pdf docs/html/
%attr(755,root,root) %{_bindir}/clamdscan
%attr(755,root,root) %{_bindir}/clamscan
%attr(755,root,root) %{_bindir}/freshclam
%attr(755,root,root) %{_bindir}/sigtool
%attr(755,root,root) %{_sbindir}/clamd
%attr(755,root,root) %{_sbindir}/clamav-cron-updatedb
%attr(755,clamav,root) %dir /var/lib/%{name}
%attr(640,clamav,root) %ghost %{_var}/log/freshclam.log
%attr(750,clamav,clamav) %dir %{_var}/run/%{name}

%attr(640,root,root) %{_sysconfdir}/cron.d/%{name}
%attr(644,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/clamd.conf
%attr(644,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/freshclam.conf

%attr(754,root,root) /etc/rc.d/init.d/clamd
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/sysconfig/clamd
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/logrotate.d/clamav
%{_mandir}/man[15]/*
%{_mandir}/man8/clamd*

%if %{with milter}
%files milter
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/sysconfig/clamav-milter
%attr(755,root,root) /etc/rc.d/init.d/clamav-milter
#%attr(755,root,root) %{_sysconfdir}/cron.daily/clamav-milter
#%attr(755,root,root) %{_sysconfdir}/log.d/scripts/services/clamav-milter
#%{_sysconfdir}/log.d/conf/services/clamav-milter.conf
%attr(755,root,root) %{_sbindir}/clamav-milter
%{_mandir}/man8/clamav-milter.8*
%attr(700,clamav,clamav) /var/spool/clamav/
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/clamav-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files database
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/clamav-post-updatedb
%attr(644,clamav,root) %verify(not md5 size mtime) /var/lib/%{name}/*.cvd

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clamav.spec,v $
Revision 1.131.2.32  2006/04/26 10:29:47  hawk
- release 1.1

Revision 1.131.2.31  2006/04/17 09:01:04  jack
- up to 0.88.1 [fixes CVE-2006-1614]

Revision 1.131.2.30  2006/01/09 22:09:16  zawadaa
- up to 0.88
- rel 1 for Ra
- STBR

Revision 1.131.2.29  2005/11/04 08:18:45  jajcus
- Version: 0.87.1

Revision 1.131.2.28  2005/09/16 16:39:33  zawadaa
- up to 0.87 rel 1 for Ra

Revision 1.131.2.27  2005/08/26 11:44:46  qboosh
- typo, proper error messages

Revision 1.131.2.26  2005/07/28 12:09:20  hawk
- release 2 (1 was already built for AC)

Revision 1.131.2.25  2005/07/27 17:09:28  undefine
- up to 20050727

Revision 1.131.2.24  2005/07/25 08:22:07  zawadaa
- up to 0.86.2

Revision 1.131.2.23  2005/06/23 23:02:46  zawadaa
- source0 url reverted

Revision 1.131.2.22  2005/06/23 22:54:57  zawadaa
- up to 0.86.1
- A possible crash in the libmspack's Quantum decompressor has been fixed
- STBR

Revision 1.131.2.21  2005/06/21 08:09:59  zawadaa
- up to 0.86, works for me
- STBR for RA

Revision 1.131.2.20  2005/05/17 07:58:56  zawadaa
- revert SOURCE0 url
- daily.cvd md5sum fix

Revision 1.131.2.19  2005/05/17 07:52:54  zawadaa
- security rel - libclamav bug
- STBR for RA - when???

Revision 1.131.2.18  2005/05/16 21:07:12  hawk
- strip on alpha is _really_ not needed now

Revision 1.131.2.17  2005/05/14 19:59:42  hawk
- reverted, this is annoying, it has built once and now it fails again

Revision 1.131.2.16  2005/05/14 19:30:06  hawk
- strip on alpha is back, seems to be working with 0.85

Revision 1.131.2.15  2005/05/14 18:25:30  hawk
- fixed md5

Revision 1.131.2.14  2005/05/11 22:35:22  zawadaa
- up to 0.85
- STBR for Ra

Revision 1.131.2.13  2005/05/03 22:30:56  hawk
- damn binutils bug again, disabled stripping for alpha

Revision 1.131.2.12  2005/04/30 08:44:57  hawk
- updated to 0.84

Revision 1.131.2.11  2005/02/14 09:05:00  zawadaa
- md5 fix

Revision 1.131.2.10  2005/02/14 08:59:27  zawadaa
- updated to 0.83
- release 1 (release 2 is for AC)
- STBR

Revision 1.131.2.9  2005/02/08 18:20:40  hawk
- release 2, 1 was already used in AC

Revision 1.131.2.8  2005/02/07 22:42:49  zawadaa
- update to 0.82
- cleanups
- STBR for RA

Revision 1.131.2.7  2005/02/03 20:29:35  hawk
- added docs/*.pdf to %doc

Revision 1.131.2.6  2005/02/03 18:41:43  hawk
- doh, rel was ok I was blind, reverted previous commit
- updated database version and md5

Revision 1.131.2.5  2005/02/03 15:42:30  hawk
- oops, rel 2, 1 is RA

Revision 1.131.2.4  2005/01/28 20:16:12  hawk
- updated to 0.81
- docs/html is no longer included in tarball, removed from %doc

Revision 1.131.2.3  2004/10/19 11:06:49  blues
- release 3.1 - added expanded trigger (to change freshclam config) and
  added clamd_conf patch to show config location in new instalations

Revision 1.131.2.2  2004/10/19 10:18:27  blues
- define epoch

Revision 1.131.2.1  2004/10/19 10:07:37  blues
- release 3 - half-security update (new database updates are now
  half-functional)

Revision 1.131  2004/10/19 09:52:37  blues
- release 4 for AC (rel.3 is for RA)

Revision 1.130  2004/10/17 19:55:36  ankry
- spaces -> tabs

Revision 1.129  2004/10/17 19:20:31  havner
- rel 2

Revision 1.128  2004/10/17 18:43:12  qboosh
- curl bcond cleanup

Revision 1.127  2004/10/17 18:27:09  hawk
- typo

Revision 1.126  2004/10/17 18:12:32  hawk
- added %triggerpostun to rename config to new name (by blues)

Revision 1.125  2004/10/17 17:59:56  hawk
- updated to 0.80 stable

Revision 1.124  2004/10/17 17:46:13  hawk
- added bcond for curl, disabled by default as previous versions were
  build without curl, fixed curl and libidn R,BR

Revision 1.123  2004/10/17 09:46:21  dzeus
- BR: curl-devel, typo

Revision 1.122  2004/10/16 21:54:33  hawk
- BR: libidn-devel

Revision 1.121  2004/10/16 21:49:14  dzeus
- clamav.conf -> clamd.conf

Revision 1.120  2004/10/16 21:43:34  dzeus
- updated to 0.80rc4, not tested

Revision 1.119  2004/10/16 00:18:01  ankry
- %%groupremove/%%userremove support, some standarization

Revision 1.118  2004/09/25 15:32:18  radek
- release 4

Revision 1.117  2004/09/25 15:31:49  radek
- move clamav-config to -devel
- move clamav-post-updatedb to -database
- update database url (all fixes by glen at delfi ee)

Revision 1.116  2004/09/07 19:39:26  undefine
- changes inspired by Krystian T <tomczyk@op.onet.pl>

Revision 1.115  2004/08/25 16:54:05  qboosh
- -devel R: bzip2-devel, gmp-devel, zlib-devel

Revision 1.114  2004/08/24 22:33:52  qboosh
- added nolibs patch, fix libtool to link libclamav properly on amd64; release 3

Revision 1.113  2004/08/10 13:39:58  twittner
- BR: s/tcp_wrappers/liwrap-devel/
- milter related things bconded.
- bcond reversed - build without milter as default now in due to:
  "Revision 1.108  2004/08/05 20:06:19  ankry
   - added milter subpackage (unfinished)"
  I don't use sendmail, milter etc. and I don't know, how test my changes.

Revision 1.112  2004/08/06 18:54:36  qboosh
- fixed new-style bcond, typo, moved BRs to preamble

Revision 1.111  2004/08/06 18:52:06  qboosh
- pl summary for -milter

Revision 1.110  2004/08/05 23:59:03  ankry
- changelog fixed

Revision 1.109  2004/08/05 23:56:31  ankry
- typo

Revision 1.108  2004/08/05 20:06:19  ankry
- formatting
- added milter subpackage (unfinished)

Revision 1.107  2004/08/01 10:09:26  hawk
- from Andrzej Zawadzki <zawadaa@wp.pl>
  - updated to 0.75.1, rel 2 (rel 1 for RA)
  - a bit more info in description
  - removed Patch2 (already in sources)

Revision 1.106  2004/07/28 15:10:57  gotar
- release 4; rebuild with new cron stuff

Revision 1.105  2004/07/24 12:00:33  arekm
- rel 3; fix working via UNIX family

Revision 1.104  2004/07/24 08:26:23  jack
- rel. 1 for RA, 2 fo AC

Revision 1.103  2004/07/23 18:00:07  hawk
- updated to 0.75, fixes detection of e-mails generated by Worm.Mydoom.I

Revision 1.102  2004/07/03 08:01:20  jack
- updated to 0.74, rel 2 for AC

Revision 1.100  2004/06/18 22:25:56  arekm
- include *.pc file

Revision 1.99  2004/06/14 21:20:17  jack
- rel 2 for AC

Revision 1.98  2004/06/14 20:33:01  paszczus
- updated to 0.73
- updated md5 sums
- updated database
- release 1

Revision 1.97  2004/06/08 09:39:14  blues
- release 2

Revision 1.96  2004/06/08 09:34:59  blues
- fetched new databases

Revision 1.95  2004/06/04 08:58:32  pluto
- updated to 0.72.

Revision 1.94  2004/05/20 15:56:16  pluto
- updated to 0.71, release 1.

Revision 1.93  2004/04/28 12:12:48  blues
- release 3 for AC

Revision 1.92  2004/04/28 11:11:07  blues
- reverted hack with database date - it will add build date, not fetch

Revision 1.91  2004/04/28 11:09:35  blues
- updated databases md5

Revision 1.90  2004/04/26 15:00:12  paszczus
- removed old comment

Revision 1.89  2004/04/26 07:38:32  blues
- small hack by Elan Ruusame <glen@delfi.ee>

Revision 1.88  2004/04/20 17:47:45  blues
- release 2 (for RA)

Revision 1.87  2004/04/20 17:38:30  blues
- get back with log file to proper package

Revision 1.86  2004/04/20 17:19:40  blues
- added clamav-post-updatedb cript - fix problem with overwriting with
 (maybe) older databases

Revision 1.85  2004/04/20 16:57:18  blues
- updated database

Revision 1.84  2004/04/20 02:35:03  pluto
- TODO-- (freshclam.log -> syslog).

Revision 1.83  2004/04/20 01:37:25  pluto
- updated to 0.70, release 1.

  (the two major changes in this version are new "rock stable"
   thread manager in clamd and support for decoding MS Office VBA macros)

Revision 1.82  2004/04/19 04:51:23  ankry
- pl Summary fix

Revision 1.81  2004/04/16 13:48:16  qboosh
- cosmetics

Revision 1.80  2004/04/16 13:06:26  blues
- release 5 - STBR for AC

Revision 1.79  2004/04/16 13:02:28  blues
- 0.68-1 - fixed way of creating database subpackages. This version fixes
  RAR handling

Revision 1.78  2004/04/16 08:04:49  blues
- release 3 (rel. 2 is int RA) - STBR

Revision 1.77  2004/04/08 08:44:12  pluto
- security update / denial of service.
  (certain types of RAR archives, including those created by variants
   of the w32.beagle.a@mm worm, may cause clamav to crash when it attempts
   to process them).

Revision 1.76  2004/03/20 22:29:50  twittner
- added -no_auto_libwrap.patch to avoid linking with libwrap - not needed
- rel. 6

Revision 1.75  2004/03/03 21:51:11  eothane
- removed commented-out Source3's md5sum; changelog cleanups

Revision 1.74  2004/03/03 21:37:45  eothane
- someone forgot 'bout /etc/freshclam.conf

Revision 1.73  2004/03/03 13:19:28  matkor
- Release 5. Freshclam config typo killed.

Revision 1.72  2004/03/01 13:22:16  qboosh
- strict internal deps

Revision 1.71  2004/03/01 12:42:44  ankry
- use .cvd database format
- fixed pid path in initscript
- rel. 4 (3 is for Ra)

Revision 1.70  2004/02/18 15:43:30  ankry
- md5

Revision 1.69  2004/02/18 15:16:03  ankry
- 0.67-1, rel. 2 for ac

Revision 1.68  2004/02/18 13:20:32  matkor
- Version 0.67-2. Fixes in config and log files.

Revision 1.67  2004/02/11 21:49:29  ankry
- spaces -> tabs

Revision 1.66  2004/02/11 12:46:23  matkor
- Version 0.66-2 (ac).
- Checking DB update every 2[h] ( I hope).
- Moved logging of DB update to /var/log/freshclam.log (as introduced in 0.66)
- Precised TODO

Revision 1.65  2004/02/11 10:29:43  jack
- added logrotate file (check permissions)

Revision 1.64  2004/02/10 22:29:11  jack
- updated clamav-database to 20040210
- STBR?

Revision 1.63  2004/02/10 20:32:01  blues
- release 7 (6 goes to RA)

Revision 1.62  2004/02/09 17:54:31  pluto
- security update: http://www.freebsd.org/cgi/query-pr.cgi?pr=62586
- rel++

Revision 1.61  2004/01/08 16:24:38  matkor
- Rel. 5. Added _with_bigZIPOSDET. Idea by Andrzej Zawadzki (azawadzki malpa dfqs pl ).

Revision 1.60  2003/12/01 18:10:12  matkor
- Reverted last changes. It was already fixed via PreReq: clamav.

Revision 1.59  2003/12/01 18:02:04  matkor
- Release 4.
- Moved user creation/deletion to database package.
- Closes BTS#589.

Revision 1.58  2003/12/01 14:57:37  matkor
- Release 3 (Ac).

Revision 1.57  2003/12/01 14:27:51  matkor
- Release 2. STBR for Ra security (?) Enabled fix for stale lock file by default.

Revision 1.56  2003/11/16 12:30:21  domelu
- df

Revision 1.55  2003/11/16 12:22:28  jack
- suck from df

Revision 1.54  2003/11/16 11:24:05  jack
- Source3 .gz -> .bz2
- BR: gmp-devel (SUPPORT FOR DIGITAL SIGNATURES)

Revision 1.53  2003/11/16 10:45:06  jack
- updated to 0.65
- database version 20031115

Revision 1.52  2003/11/03 22:03:32  ankry
- cosmetics

Revision 1.51  2003/11/03 20:54:33  arekm
- new cron script for updating db

Revision 1.50  2003/11/03 20:47:38  arekm
- new script for cron updates

Revision 1.49  2003/09/23 16:31:50  arekm
- update antivirus db once per 6h

Revision 1.48  2003/09/04 10:26:11  matkor
- Removed R: database from main package. DB can be downloaded via freshcalm/ cron.

Revision 1.47  2003/08/28 13:10:39  matkor
- Made work as user clamav
- Added triggered add clamav user to amavis group (sb. wise pls check it)
- Fixed paths to smooth work with latest amavisd-new config (pld_config.patch)
- Made logging via syslog (clamd)
- Should work out of box with amavisd-new.
- Release 4. STBR for Ra.

Revision 1.46  2003/08/26 16:31:01  blues
- merged from RA-branch

Revision 1.45  2003/08/18 15:12:25  blues
- release 2 (don't be afraid to increase release)

Revision 1.44  2003/08/14 10:50:33  undefine
- changed md5sum

Revision 1.43  2003/08/14 10:47:22  undefine
- update virus database
- add path clamav.sourceforge.net to list searched servers.

Revision 1.42  2003/08/06 16:46:57  kloczek

Revision 1.41  2003/07/31 10:24:54  baseciq
- new URL's

Revision 1.40  2003/06/21 08:43:03  adamg
- updated virus database
- added missing /var/lib/clamav/mirrors.txt

Revision 1.39  2003/06/21 08:21:30  adamg
- updated to 0.60

Revision 1.38  2003/05/28 12:58:48  malekith
- massive attack: source-md5

Revision 1.37  2003/05/26 16:24:48  malekith
- massive attack: adding Source-md5

Revision 1.36  2003/05/25 05:46:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/05/17 07:11:40  pascalek
- revert user changes

Revision 1.34  2003/05/10 09:34:13  pascalek
- Req user-clamav

Revision 1.33  2003/02/07 16:25:04  undefine
- updated database to 20030207
- moved database to /var/lib/clamav (/usr/share can be mounted r/o and
  freshclam from cron fail)
- change freshclam from cron to create database world readable. without it
  nobody can scan programs with clamscan
- some cleanup

Revision 1.32  2003/02/06 02:43:56  kloczek
- typo.

Revision 1.31  2003/02/06 02:39:54  kloczek
- added zlib-devel to BuildRequires,
- added standard template %post/%preun daemon/service scripts
  (added "Requires(poest,preun): /sbin/chkconfig").

Revision 1.30  2003/02/06 02:31:34  kloczek
- fixed %files in libs.

Revision 1.29  2003/02/06 01:06:00  blues
- cosmetic

Revision 1.28  2003/01/20 23:04:41  baseciq
- updated virus database
- separated package with virus databases
- STBR ASAP

Revision 1.27  2002/12/13 15:24:03  ankry
- adapterized

Revision 1.26  2002/12/07 14:32:49  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.25  2002/11/29 09:46:00  undefine
- somebody forgot about example /etc/clamav.conf... ;)
- release 3

Revision 1.24  2002/11/25 17:25:41  mmazur
- yeah... somebody forgot about the binary ;)
- rel2; STBR *ASAP*

Revision 1.23  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.22  2002/11/21 14:51:09  areq
- 0.54,STBR

Revision 1.21  2002/10/10 21:39:26  misiek
- updated to 0.51

Revision 1.20  2002/10/05 17:32:08  misiek
- updated to 0.50

Revision 1.19  2002/09/09 19:44:35  misiek
- updated to 0.24

Revision 1.18  2002/08/04 13:54:15  misiek
- updated to 0.23

Revision 1.17  2002/07/25 14:49:06  grzegorz
- up to 0.22

Revision 1.16  2002/07/21 12:20:33  blues
- 0.21
- removed outdated patch
STBR

Revision 1.15  2002/07/21 12:03:28  blues
- some cosmetic added

Revision 1.14  2002/06/16 14:37:15  misiek
- updated to 0.15

Revision 1.13  2002/06/12 14:46:45  misiek
- fix summary

Revision 1.12  2002/06/06 23:02:27  misiek
- kill segfault when /proc/cpuinfo is not available

Revision 1.11  2002/06/03 19:16:29  misiek
- 0.14

Revision 1.10  2002/05/24 14:10:17  misiek
- no http patch; issue will be fixed in next release probably

Revision 1.9  2002/05/23 12:49:20  misiek
- add http patch

Revision 1.8  2002/05/23 12:07:26  misiek
- updated to 0.12

Revision 1.7  2002/05/21 23:12:44  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/05/20 21:47:56  kloczek
- use new %doc packuing infrastructure and few cosmetics.

Revision 1.5  2002/05/19 21:42:21  misiek
- rewrited

Revision 1.4  2002/05/13 15:00:39  mick3y
- added patch to fix path to database dir
- STRB

Revision 1.3  2002/05/13 14:08:20  mick3y
- added group clamav
- eliminate uid confilct
- it should build now
- rel increased
- STBR please

Revision 1.2  2002/05/13 00:18:10  mick3y
- %postun should be correctly now
- rel 2

Revision 1.1  2002/05/12 12:39:54  mick3y
- initial release
TODO:
- add support for amavis
